## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/kdtree.h File Reference

KD-tree implementation. More...

`#include "csextern.h"`
`#include "csgeom/box.h"`
`#include "csutil/blockallocator.h"`
`#include "csutil/ref.h"`
`#include "csutil/scfstr.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/dbghelp.h"`

Go to the source code of this file.

## Classes

class | csKDTree
| A KD-tree. More...
class | csKDTreeChild
| A child in the KD-tree (usually some object). More...
struct | iKDTreeObjectDescriptor
| If you implement this interface then you can give that to the KDtree. More...

## Defines

#define | DISALLOW_DISTRIBUTE_TIME 20

## Typedefs

typedef bool() | csKDTreeVisitFunc (csKDTree *treenode, void *userdata, uint32 timestamp, uint32 &frustum_mask)
| A callback function for visiting a KD-tree node.

## Enumerations

enum |

## Detailed Description

KD-tree implementation.

Definition in file kdtree.h.